import typing
from time import sleep

from pycs.interfaces.LabelProvider import LabelProvider


class Provider(LabelProvider):
    def __init__(self, root_folder, configuration):
        pass

    def close(self):
        pass

    def get_labels(self) -> typing.List[dict]:
        sleep(5)

        return list(map(
            lambda l: self.create_label(l.lower(), l),
            [
                'Dog',
                'Turtle',
                'Rabbit',
                'Parrot',
                'Cat',
                'Goldfish',
                'Mouse',
                'Hamster',
                'Cow',
                'Rabbit',
                'Duck',
                'Shrimp',
                'Pig',
                'Goat',
                'Crab',
                'Deer',
                'Bee',
                'Sheep',
                'Fish',
                'Turkey',
                'Dove',
                'Chicken',
                'Horse'
            ]
        ))
